--- old/usr/src/cmd/abi/appcert/static_prof/Makefile.com	Tue Jan  8 12:29:47 2019
+++ new/usr/src/cmd/abi/appcert/static_prof/Makefile.com	Tue Jan  8 12:29:47 2019
@@ -26,6 +26,7 @@
 #
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include		$(SRC)/cmd/Makefile.cmd
 
@@ -35,6 +36,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-value
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 LDLIBS +=	-lelf
 
 LINTFLAGS =	-nmxsuF -errtags=yes
--- old/usr/src/cmd/abi/spectrans/Makefile.cmd	Tue Jan  8 12:29:49 2019
+++ new/usr/src/cmd/abi/spectrans/Makefile.cmd	Tue Jan  8 12:29:49 2019
@@ -22,8 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 include $(SRC)/cmd/Makefile.cmd
 
@@ -40,6 +39,9 @@
 LDFLAGS	+=	-L$(U_DIR)
 LINTFLAGS +=	-xsuF -errtags=yes
 
+# not linted
+SMATCH=off
+
 LDLIBS	+=	-l$(U_LIB) -lgen
 LINTLIBS =	-L$(U_DIR) -l$(U_LIB)
 
--- old/usr/src/cmd/abi/spectrans/parser/Makefile.targ	Tue Jan  8 12:29:51 2019
+++ new/usr/src/cmd/abi/spectrans/parser/Makefile.targ	Tue Jan  8 12:29:51 2019
@@ -23,6 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 .KEEP_STATE:
 
@@ -45,6 +46,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 objs/%.o: ../%.c
 	$(COMPILE.c) -o $@ $<
 	$(POST_PROCESS_O)
--- old/usr/src/cmd/abi/spectrans/spec2trace/Makefile.targ	Tue Jan  8 12:29:53 2019
+++ new/usr/src/cmd/abi/spectrans/spec2trace/Makefile.targ	Tue Jan  8 12:29:53 2019
@@ -26,6 +26,7 @@
 #
 # Copyright 2015 Nexenta Systems, Inc.  All right reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 .KEEP_STATE:
 
@@ -49,3 +50,7 @@
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-label
+
+# not linted
+SMATCH=off
+
--- old/usr/src/cmd/acct/Makefile	Tue Jan  8 12:29:56 2019
+++ new/usr/src/cmd/acct/Makefile	Tue Jan  8 12:29:56 2019
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		acctcms acctcom acctcon acctcon1 acctcon2 \
 		acctdisk acctdusg acctmerg accton acctprc acctprc1 \
@@ -92,6 +93,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-address
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 .PARALLEL: $(ALL)
--- old/usr/src/cmd/acct/lib/Makefile	Tue Jan  8 12:29:58 2019
+++ new/usr/src/cmd/acct/lib/Makefile	Tue Jan  8 12:29:58 2019
@@ -19,14 +19,13 @@
 #
 # CDDL HEADER END
 #
-#
 # Copyright (c) 1989 by Sun Microsystems, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
-#
 LIBS=	a.a
 
-OBJS=	pnpsplit.o  copyn.o devtolin.o expand.o lintodev.o \
-	namtouid.o tmless.o tmsecs.o uidtonam.o substr.o 
+OBJS=	pnpsplit.o devtolin.o expand.o lintodev.o \
+	namtouid.o tmless.o tmsecs.o uidtonam.o substr.o
 SRCS=	$(OBJS:%.o=%.c)
 
 include	../../Makefile.cmd
@@ -36,6 +35,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-extra
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 .PARALLEL: $(OBJS)
--- old/usr/src/cmd/acpi/acpidump/Makefile	Tue Jan  8 12:30:01 2019
+++ new/usr/src/cmd/acpi/acpidump/Makefile	Tue Jan  8 12:30:01 2019
@@ -8,7 +8,7 @@
 # source.  A copy of the CDDL is also available via the Internet at
 # http://www.illumos.org/license/CDDL.
 #
-# Copyright 2016 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 # Copyright 2016 RackTop Systems.
 #
 
@@ -23,6 +23,9 @@
 
 CERRWARN += -_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 CPPFLAGS += -I$(SRC)/uts/intel/sys/acpi -DACPI_DUMP_APP
 
 LDLIBS += -ldevinfo
--- old/usr/src/cmd/acpi/acpixtract/Makefile	Tue Jan  8 12:30:03 2019
+++ new/usr/src/cmd/acpi/acpixtract/Makefile	Tue Jan  8 12:30:03 2019
@@ -8,7 +8,7 @@
 # source.  A copy of the CDDL is also available via the Internet at
 # http://www.illumos.org/license/CDDL.
 #
-# Copyright 2016 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 # Copyright 2016 RackTop Systems.
 #
 
@@ -22,6 +22,9 @@
 
 CERRWARN += -_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 CPPFLAGS += -I$(SRC)/uts/intel/sys/acpi -DACPI_XTRACT_APP
 
 .KEEP_STATE:
--- old/usr/src/cmd/acpi/common/Makefile	Tue Jan  8 12:30:06 2019
+++ new/usr/src/cmd/acpi/common/Makefile	Tue Jan  8 12:30:06 2019
@@ -8,7 +8,7 @@
 # source.  A copy of the CDDL is also available via the Internet at
 # http://www.illumos.org/license/CDDL.
 #
-# Copyright 2016 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 LIBRARY =	acpi.a
@@ -21,6 +21,9 @@
 
 CERRWARN += -_gcc=-Wno-unused-function
 
+# needs work
+SMOFF=all_func_returns
+
 CPPFLAGS += -I$(SRC)/uts/intel/sys/acpi -DACPI_APPLICATION
 
 LDLIBS += -lc
--- old/usr/src/cmd/adbgen/Makefile.com	Tue Jan  8 12:30:08 2019
+++ new/usr/src/cmd/adbgen/Makefile.com	Tue Jan  8 12:30:09 2019
@@ -25,6 +25,7 @@
 #
 # Copyright 2015 RackTop Systems.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROGS = adbgen1 adbgen3 adbgen4
 OBJS = adbsub.o
@@ -36,7 +37,11 @@
 .KEEP_STATE:
 
 include ../../Makefile.cmd
+include ../../Makefile.targ
 
+# not linted
+SMATCH=off
+
 ROOTADBDIR32	= $(ROOT)/usr/lib/adb
 ROOTADBDIR64	= $(ROOT)/usr/lib/adb/$(MACH64)
 ROOTADBDIR	= $(ROOTADBDIR32)
@@ -77,5 +82,3 @@
 
 $(ROOTADBDIR64): $(ROOTADBDIR32)
 	$(INS.dir)
-
-include ../../Makefile.targ
--- old/usr/src/cmd/addbadsec/Makefile	Tue Jan  8 12:30:10 2019
+++ new/usr/src/cmd/addbadsec/Makefile	Tue Jan  8 12:30:11 2019
@@ -23,6 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= 		addbadsec
 OBJECTS=	addbadsec.o ix_altsctr.o
@@ -34,6 +35,9 @@
 
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/allocate/Makefile	Tue Jan  8 12:30:12 2019
+++ new/usr/src/cmd/allocate/Makefile	Tue Jan  8 12:30:12 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1992, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 ETCTSOLFILES =	devalloc_defaults
 
@@ -32,6 +33,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-clobbered
 
+# not linted
+SMATCH=off
+
 ROOTSEC =	$(ROOTETC)/security
 ROOTSECDEV =	$(ROOTSEC)/dev
 ROOTSECLIB =	$(ROOTSEC)/lib
--- old/usr/src/cmd/ast/msgcc/Makefile	Tue Jan  8 12:30:12 2019
+++ new/usr/src/cmd/ast/msgcc/Makefile	Tue Jan  8 12:30:12 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 SHELL=/usr/bin/ksh93
 
@@ -51,6 +52,9 @@
 CERRWARN += -_gcc=-Wno-empty-body
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 LDLIBS += -last
 msgcpp   := LDLIBS += -lpp
 
--- old/usr/src/cmd/audio/audioplay/Makefile	Tue Jan  8 12:30:13 2019
+++ new/usr/src/cmd/audio/audioplay/Makefile	Tue Jan  8 12:30:13 2019
@@ -23,6 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=	audioplay
 
@@ -40,6 +41,8 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
 
+SMOFF += indenting
+
 LINTFLAGS += -m -v -u $(LDFLAGS)
 
 .KEEP_STATE:
--- old/usr/src/cmd/audio/utilities/Makefile	Tue Jan  8 12:30:15 2019
+++ new/usr/src/cmd/audio/utilities/Makefile	Tue Jan  8 12:30:16 2019
@@ -22,7 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Makefile for C++ Audio Library (libAudio.a) 
+# Copyright (c) 2018, Joyent, Inc.
 
 include ../../Makefile.cmd
 
@@ -37,6 +37,9 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 LINTFLAGS += -m -v -u
 
 AR=     /usr/ccs/bin/ar
--- old/usr/src/cmd/auditd/Makefile	Tue Jan  8 12:30:16 2019
+++ new/usr/src/cmd/auditd/Makefile	Tue Jan  8 12:30:16 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 1992, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG = auditd
 
@@ -39,6 +40,8 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 
+SMOFF += macros
+
 LDLIBS += -lbsm -lsecdb
 
 OBJS = auditd.o doorway.o queue.o
--- old/usr/src/cmd/auditreduce/Makefile	Tue Jan  8 12:30:18 2019
+++ new/usr/src/cmd/auditreduce/Makefile	Tue Jan  8 12:30:18 2019
@@ -24,7 +24,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 TABLEDIR = ../praudit
 
@@ -44,6 +44,9 @@
 CERRWARN += -_gcc=-Wno-uninitialized
 CERRWARN += -_gcc=-Wno-parentheses
 
+# false positives / need cleanup
+SMOFF += indenting,no_if_block,strcpy_overflow
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/awk/Makefile	Tue Jan  8 12:30:18 2019
+++ new/usr/src/cmd/awk/Makefile	Tue Jan  8 12:30:18 2019
@@ -24,6 +24,7 @@
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 # NOTE: awk is oawk.
 
@@ -42,6 +43,9 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 #
 # Message catalog
 #
--- old/usr/src/cmd/awk_xpg4/Makefile	Tue Jan  8 12:30:20 2019
+++ new/usr/src/cmd/awk_xpg4/Makefile	Tue Jan  8 12:30:20 2019
@@ -25,6 +25,7 @@
 #
 # cmd/awk_xpg4/Makefile
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 # NOTE: this is nawk in usr/src/cmd/awk_xpg4 to reside as /usr/xpg4/bin/awk
 
@@ -48,6 +49,9 @@
 LDLIBS += -lm
 CLEANFILES= awk.c y.tab.h
 
+# not linted
+SMATCH=off
+
 # for messaging catalog
 
 POFILE= awk_xpg4.po
--- old/usr/src/cmd/backup/Makefile.backup	Tue Jan  8 12:30:22 2019
+++ new/usr/src/cmd/backup/Makefile.backup	Tue Jan  8 12:30:22 2019
@@ -23,6 +23,7 @@
 #
 # cmd/backup/Makefile.backup
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include $(SRC)/cmd/Makefile.cmd
 
@@ -44,6 +45,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-clobbered
 
+# not linted
+SMATCH=off
+
 UFSROOTETC=		$(ROOT)/etc
 UFSROOTUSR=		$(ROOT)/usr
 UFSROOTUSRLIB=		$(UFSROOTUSR)/lib
--- old/usr/src/cmd/bart/Makefile	Tue Jan  8 12:30:22 2019
+++ new/usr/src/cmd/bart/Makefile	Tue Jan  8 12:30:22 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=	bart
 SRCS=	rules.c create.c compare.c main.c lutbl.c
@@ -34,6 +35,8 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+SMOFF +=	indenting
+
 #
 # for messaging catalog
 #
@@ -46,7 +49,7 @@
 
 .KEEP_STATE:
 
-all:	$(PROG) 
+all:	$(PROG)
 
 $(PROG):	$(OBJS)
 	$(CC) -o $(PROG) $(OBJS) $(LDFLAGS) $(LDLIBS)
--- old/usr/src/cmd/bc/Makefile	Tue Jan  8 12:30:23 2019
+++ new/usr/src/cmd/bc/Makefile	Tue Jan  8 12:30:23 2019
@@ -23,6 +23,7 @@
 # Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= bc
 XPG6PROG= bc
@@ -39,6 +40,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-label
 
+# nothing lintable
+SMATCH=off
+
 $(XPG6EXOBJS) := CFLAGS += -DXPG6
 ROOTLIBB= $(LIBB:%=$(ROOTLIB)/%)
 $(ROOTLIBB) :=	FILEMODE =	$(LIBFILEMODE)
--- old/usr/src/cmd/bdiff/Makefile	Tue Jan  8 12:30:25 2019
+++ new/usr/src/cmd/bdiff/Makefile	Tue Jan  8 12:30:25 2019
@@ -23,6 +23,7 @@
 # Copyright (c) 1989, 1996 by Sun Microsystems, Inc.
 # All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= bdiff 
 
@@ -33,6 +34,9 @@
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG) 
--- old/usr/src/cmd/boot/bootadm/Makefile	Tue Jan  8 12:30:25 2019
+++ new/usr/src/cmd/boot/bootadm/Makefile	Tue Jan  8 12:30:25 2019
@@ -25,7 +25,7 @@
 # Copyright 2016 Toomas Soome <tsoome@me.com>
 # Copyright 2016 Nexenta Systems, Inc.
 # Copyright 2018 OmniOS Community Edition (OmniOSce) Association.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= bootadm
 
@@ -52,6 +52,8 @@
 CPPFLAGS +=	-D_FILE_OFFSET_BITS=64
 CPPFLAGS +=	-I$(SRC)/uts/common -I$(SRC)/common -I$(SRC)/common/ficl
 
+SMOFF +=	all_func_returns
+
 CSTD=	$(CSTD_GNU99)
 
 LINTFLAGS += -erroff=E_INCONS_ARG_DECL2
--- old/usr/src/cmd/boot/fiocompress/Makefile	Tue Jan  8 12:30:27 2019
+++ new/usr/src/cmd/boot/fiocompress/Makefile	Tue Jan  8 12:30:27 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= fiocompress
 
@@ -39,6 +40,8 @@
 CFLAGS +=	-I../../../uts/common
 LINTFLAGS +=	-I../../../uts/common
 
+SMOFF += 	leaks
+
 all: $(PROG)
 
 $(PROG): $(OBJS)
--- old/usr/src/cmd/boot/installgrub/Makefile	Tue Jan  8 12:30:28 2019
+++ new/usr/src/cmd/boot/installgrub/Makefile	Tue Jan  8 12:30:28 2019
@@ -20,7 +20,7 @@
 #
 # Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2015, Nexenta Systems, Inc.
-# 
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= installgrub
 
@@ -40,6 +40,9 @@
 CPPFLAGS += -I$(SRC)/uts/i86pc -I$(SRC)/uts/intel -I$(SRC)/uts/common
 CPPFLAGS += -I$(SRC)/common/util
 
+# not linted
+SMATCH=off
+
 LDLIBS += -lmd5
 
 i386_CFLAGS += -D_LARGEFILE64_SOURCE
--- old/usr/src/cmd/captoinfo/Makefile	Tue Jan  8 12:30:30 2019
+++ new/usr/src/cmd/captoinfo/Makefile	Tue Jan  8 12:30:30 2019
@@ -23,6 +23,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= captoinfo
 
@@ -36,9 +37,12 @@
 CPPFLAGS +=	-I../../lib/libcurses/screen
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+# code is a mess right now
+SMATCH=off
+
 .KEEP_STATE:
 
-all: $(PROG) 
+all: $(PROG)
 
 $(PROG): $(OBJS) $(MAPFILE.INT)
 	$(LINK.c) $(OBJS) -o $@ $(LDLIBS)
--- old/usr/src/cmd/cdrw/Makefile	Tue Jan  8 12:30:32 2019
+++ new/usr/src/cmd/cdrw/Makefile	Tue Jan  8 12:30:32 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= cdrw
 
@@ -42,6 +43,9 @@
 CPPFLAGS +=	-D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 $(HAL_DBUS_CPPFLAGS)
 LINTFLAGS += 	-um
 
+# not linted
+SMATCH=off
+
 $(ROOTBIN)/cdrw := FILEMODE = 04755
 
 .KEEP_STATE:
@@ -52,7 +56,7 @@
 	$(LINK.c) -o $(PROG) $(OBJS) $(LDLIBS) $(NONLINTLDLIBS) $(CFLAGS)
 	$(POST_PROCESS)
 
-install: all $(ROOTPROG) 
+install: all $(ROOTPROG)
 
 clean:
 	$(RM) $(OBJS)
--- old/usr/src/cmd/cfgadm/Makefile	Tue Jan  8 12:30:35 2019
+++ new/usr/src/cmd/cfgadm/Makefile	Tue Jan  8 12:30:35 2019
@@ -23,11 +23,9 @@
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
-# cmd/cfgadm/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
-PROG= cfgadm 
+PROG= cfgadm
 
 include ../Makefile.cmd
 
@@ -36,12 +34,14 @@
 
 XGETFLAGS += -a -x cfgadm.xcl
 
-LDLIBS += -lcfgadm 
+LDLIBS += -lcfgadm
 LINTFLAGS += $(ENVLDFLAGS1) $(ENVLDFLAGS2) $(ENVLDFLAGS3) $(LDLIBS)
 
+SMOFF += snprintf_overflow
+
 .KEEP_STATE:
 
-all: $(PROG) 
+all: $(PROG)
 
 install: all $(ROOTUSRSBINPROG)
 	-$(RM) $(ROOTETCPROG)
--- old/usr/src/cmd/cmd-crypto/pktool/Makefile	Tue Jan  8 12:30:37 2019
+++ new/usr/src/cmd/cmd-crypto/pktool/Makefile	Tue Jan  8 12:30:37 2019
@@ -21,6 +21,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG =	pktool
 
@@ -55,8 +56,11 @@
 CERRWARN += -_gcc=-Wno-uninitialized
 CERRWARN += -_gcc=-Wno-unused-label
 
-LDLIBS +=  -lkmf -lpkcs11 -lcryptoutil 
+# not linted, too much mess, but it should be
+SMATCH=off
 
+LDLIBS +=  -lkmf -lpkcs11 -lcryptoutil
+
 .KEEP_STATE:
 
 all : $(PROG)
--- old/usr/src/cmd/cmd-inet/lib/nwamd/Makefile	Tue Jan  8 12:30:39 2019
+++ new/usr/src/cmd/cmd-inet/lib/nwamd/Makefile	Tue Jan  8 12:30:39 2019
@@ -21,8 +21,7 @@
 #
 # Copyright (c) 2007, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-# usr/src/cmd/cmd-inet/lib/nwamd/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 # Needed for ROOTFS_LIBDIR definition
 include		../../../../lib/Makefile.lib
@@ -60,6 +59,9 @@
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-unused-label
 
+# not linted
+SMATCH=off
+
 #
 # Instrument with CTF data to ease debugging.
 #
--- old/usr/src/cmd/cmd-inet/sbin/dhcpagent/Makefile	Tue Jan  8 12:30:41 2019
+++ new/usr/src/cmd/cmd-inet/sbin/dhcpagent/Makefile	Tue Jan  8 12:30:41 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 # Copyright (c) 2016, Chris Fraire <cfraire@me.com>.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 PROG    = dhcpagent
@@ -41,6 +42,9 @@
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 #
 # to compile a debug version, do a `make COPTFLAG="-g -XO0"'
 #
--- old/usr/src/cmd/cmd-inet/usr.bin/Makefile	Tue Jan  8 12:30:43 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/Makefile	Tue Jan  8 12:30:43 2019
@@ -24,6 +24,7 @@
 #
 # Copyright 2011 Nexenta Systems, Inc. All rights reserved.
 # Copyright 2016 Toomas Soome <tsoome@me.com>
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 PROG=		finger rdate ruptime rwho whois
@@ -34,7 +35,7 @@
 
 SUBDIRS=	chat dns-sd ftp nc nca netstat \
 		pppd pppdump pppstats rdist talk telnet tftp
-SUBDIR1=	talk 
+SUBDIR1=	talk
 MSGSUBDIRS=	nca talk
 
 # As programs get lint-clean, add them here.  Eventually.
@@ -75,6 +76,8 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-unused-function
 
+ruptime :=     SMOFF += leaks
+
 # Eventually just plain CFLAGS should be += -v, but not until all in
 # PROGS are lint clean.
 $(LINTCLEAN)	:=	CFLAGS += $(CCVERBOSE)
@@ -148,7 +151,7 @@
 rlogin: rlogin.o $(COMMONOBJS)
 	$(LINK.c) $@.o $(COMMONOBJS) -o $@ $(LDLIBS)
 	$(POST_PROCESS)
- 
+
 rcp: rcp.o $(COMMONOBJS)
 	$(LINK.c) $@.o $(COMMONOBJS) -o $@ $(LDLIBS)
 	$(POST_PROCESS)
@@ -156,7 +159,7 @@
 rsh: rsh.o $(COMMONOBJS)
 	$(LINK.c) $@.o $(COMMONOBJS) -o $@ $(LDLIBS)
 	$(POST_PROCESS)
- 
+
 $(ROOTSUNWRCP):
 	$(RM) $@; $(SYMLINK) ../bin/rcp $@
 
@@ -177,7 +180,7 @@
 
 clobber: $(SUBDIRS) clobber_local
 clobber_local: clean_local
-	$(RM) $(CLOBBERFILES) 
+	$(RM) $(CLOBBERFILES)
 
 LINTLOCALS=	$(LINTCLEAN:%.c=lint-%)
 
--- old/usr/src/cmd/cmd-inet/usr.bin/chat/Makefile	Tue Jan  8 12:30:46 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/chat/Makefile	Tue Jan  8 12:30:46 2019
@@ -2,6 +2,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 #  Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		chat
 OBJS=		chat.o
@@ -14,6 +15,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-value
 CERRWARN +=	-_gcc=-Wno-trigraphs
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/cmd-inet/usr.bin/dns-sd/Makefile	Tue Jan  8 12:30:49 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/dns-sd/Makefile	Tue Jan  8 12:30:49 2019
@@ -11,10 +11,9 @@
 
 #
 # Copyright 2016 Toomas Soome <tsoome@me.com>
+# Copyright (c) 2018, Joyent, Inc.
 #
 
-# cmd/cmd-inet/usr.bin/dns-sd/Makefile
-
 PROG=		dns-sd
 
 include ../../../Makefile.cmd
@@ -27,6 +26,9 @@
 CPPFLAGS += -DMDNS_VERSIONSTR_NODTS
 LDLIBS += -lsocket -ldns_sd
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/cmd-inet/usr.bin/ftp/Makefile	Tue Jan  8 12:30:50 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/ftp/Makefile	Tue Jan  8 12:30:50 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG =		ftp
 DEFAULTFILES =	ftp.dfl
@@ -44,6 +45,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-address
 
+# not linted
+SMATCH=off
+
 LDLIBS +=	-lsocket -lnsl -lgss
 
 # ftp defines its own delete and glob - localize all symbols to prevent a
--- old/usr/src/cmd/cmd-inet/usr.bin/netstat/Makefile	Tue Jan  8 12:30:52 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/netstat/Makefile	Tue Jan  8 12:30:52 2019
@@ -24,7 +24,7 @@
 #
 # Copyright (c) 1990 Mentat Inc.
 #
-# cmd/cmd-inet/usr.bin/netstat/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		netstat
 
@@ -50,9 +50,12 @@
 CERRWARN += -_gcc=-Wno-parentheses
 LDLIBS += -ldhcpagent -lsocket -lnsl -lkstat -ltsnet -ltsol
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
-all: $(PROG) $(NPROG) 
+all: $(PROG) $(NPROG)
 
 ROOTPROG=   $(PROG:%=$(ROOTBIN)/%)
 
--- old/usr/src/cmd/cmd-inet/usr.bin/pppdump/Makefile	Tue Jan  8 12:30:52 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/pppdump/Makefile	Tue Jan  8 12:30:52 2019
@@ -1,6 +1,7 @@
 #
 # Copyright (c) 2000, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2011 Nexenta Systems, Inc. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 PROG=		pppdump
@@ -16,6 +17,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all:		$(PROG)
--- old/usr/src/cmd/cmd-inet/usr.bin/rdist/Makefile	Tue Jan  8 12:30:54 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/rdist/Makefile	Tue Jan  8 12:30:54 2019
@@ -22,7 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/cmd-inet/usr.bin/rdist/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=	rdist
 OBJS=	docmd.o expand.o lookup.o main.o server.o
@@ -55,6 +55,9 @@
 CERRWARN +=	-_gcc=-Wno-clobbered
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 ROOTSYMLINK=	$(ROOT)/usr/ucb/$(PROG)
 
 # conditional assignments
--- old/usr/src/cmd/cmd-inet/usr.bin/talk/Makefile	Tue Jan  8 12:30:55 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/talk/Makefile	Tue Jan  8 12:30:55 2019
@@ -23,6 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=	talk
 OBJS=	talk.o get_names.o display.o io.o ctl.o init_disp.o \
@@ -42,6 +43,9 @@
 CPPFLAGS +=	-DSYSV -DSTRNET -DBSD_COMP
 LDLIBS +=	-lcurses -lsocket -lnsl
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 .PARALLEL: $(OBJS)
--- old/usr/src/cmd/cmd-inet/usr.bin/telnet/Makefile	Tue Jan  8 12:30:55 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/telnet/Makefile	Tue Jan  8 12:30:55 2019
@@ -22,6 +22,8 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
+#
 
 PROG=		telnet
 OBJS=		telnet.o commands.o main.o network.o ring.o \
@@ -53,6 +55,9 @@
 LDLIBS +=	-lmech_krb5 
 LDFLAGS +=	$(KRUNPATH) -L$(ROOT)$(KLIBDIR_DO) -L$(ROOT)$(KLIBDIR_GL)
 
+# "missing type for func"
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/cmd-inet/usr.lib/ilbd/Makefile	Tue Jan  8 12:30:57 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/ilbd/Makefile	Tue Jan  8 12:30:57 2019
@@ -20,6 +20,7 @@
 #
 # Copyright (c) 2009, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 ILBD=		ilbd
 PROG=		$(ILBD)
@@ -53,6 +54,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-unused-label
 
+# not linted
+SMATCH=off
+
 CSTD =      $(CSTD_GNU99)
 
 # I18n
--- old/usr/src/cmd/cmd-inet/usr.lib/in.ndpd/Makefile	Tue Jan  8 12:30:58 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/in.ndpd/Makefile	Tue Jan  8 12:30:58 2019
@@ -23,6 +23,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		in.ndpd
 OBJS=		config.o main.o ndp.o tables.o trace.o
@@ -59,6 +60,9 @@
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 CTFCONVERT_HOOK = && $(CTFCONVERT_O)
 CTFMERGE_HOOK = && $(CTFMERGE) -L VERSION -o $@ $(OBJS)
 $(OBJS) := CFLAGS += $(CTF_FLAGS)
--- old/usr/src/cmd/cmd-inet/usr.lib/in.ripngd/Makefile	Tue Jan  8 12:31:00 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/in.ripngd/Makefile	Tue Jan  8 12:31:00 2019
@@ -23,6 +23,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 SVCMETHOD=	svc-ripng
 MANIFEST=	ripng.xml
@@ -43,6 +44,9 @@
 
 LINTFLAGS +=	$(_D_UNIX98_EXTN)
 
+# not linted
+SMATCH=off
+
 # in.ripngd uses the ancillary data feature which is available only through
 # UNIX 98 standards version of Socket interface. This interface is supposed to
 # be accessed by -lxnet. In addition, -lsocket is used to
--- old/usr/src/cmd/cmd-inet/usr.lib/inetd/Makefile	Tue Jan  8 12:31:01 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/inetd/Makefile	Tue Jan  8 12:31:01 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG	=	inetd
 MANIFEST=	inetd.xml inetd-upgrade.xml
@@ -42,6 +43,8 @@
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-unused-label
 
+SMOFF += kmalloc_wrong_size
+
 LDLIBS    += -lsocket -lnsl -lrestart -lscf -lcontract -linetutil \
 		-lwrap -linetsvc -luutil -lumem -lbsm
 
--- old/usr/src/cmd/cmd-inet/usr.lib/mdnsd/Makefile	Tue Jan  8 12:31:02 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/mdnsd/Makefile	Tue Jan  8 12:31:02 2019
@@ -22,6 +22,7 @@
 # Use is subject to license terms.
 # Copyright 2016 Toomas Soome <tsoome@me.com>
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		mdnsd
 MANIFEST=	multicast.xml
@@ -53,6 +54,9 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 ROOTMANIFESTDIR=	$(ROOTSVCNETWORKDNS)
 $(ROOTMANIFEST)		:= FILEMODE= 444
 
--- old/usr/src/cmd/cmd-inet/usr.lib/pppoe/Makefile	Tue Jan  8 12:31:06 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/pppoe/Makefile	Tue Jan  8 12:31:06 2019
@@ -23,10 +23,7 @@
 # Copyright 2000-2002 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-# cmd/cmd-inet/usr.lib/pppoe/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 include		../../../Makefile.cmd
 
@@ -36,6 +33,9 @@
 
 CPPFLAGS +=	-I$(SRC)/uts/common
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all:		$(PROG)
--- old/usr/src/cmd/cmd-inet/usr.lib/wpad/Makefile	Tue Jan  8 12:31:08 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/wpad/Makefile	Tue Jan  8 12:31:08 2019
@@ -21,6 +21,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG =		wpad
 MANIFEST =	wpa.xml
@@ -37,6 +38,8 @@
 
 LINTFLAGS += 	-u
 
+SMOFF += all_func_returns
+
 .KEEP_STATE:
 
 all:		$(PROG)
--- old/usr/src/cmd/cmd-inet/usr.sbin/Makefile	Tue Jan  8 12:31:09 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/Makefile	Tue Jan  8 12:31:09 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1990, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 SYNCPROG=	syncinit syncloop syncstat
@@ -109,6 +110,9 @@
 CERRWARN += -_gcc=-Wno-extra
 CERRWARN += -_gcc=-Wno-address
 
+# "missing type for func"
+SMATCH=off
+
 #
 # Message catalog
 #
--- old/usr/src/cmd/cmd-inet/usr.sbin/ilbadm/Makefile	Tue Jan  8 12:31:09 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/ilbadm/Makefile	Tue Jan  8 12:31:09 2019
@@ -20,6 +20,7 @@
 #
 # Copyright (c) 2009, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		ilbadm
 
@@ -39,6 +40,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 CSTD =	$(CSTD_GNU99)
 
 POFILES =	$(OBJS:%.o=%.po)
--- old/usr/src/cmd/cmd-inet/usr.sbin/in.rdisc/Makefile	Tue Jan  8 12:31:10 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/in.rdisc/Makefile	Tue Jan  8 12:31:10 2019
@@ -21,6 +21,8 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
+#
 
 PROG=		in.rdisc
 MANIFEST=	rdisc.xml
@@ -35,6 +37,9 @@
 CPPFLAGS +=	-DSYSV -DBSD_COMP
 CERRWARN +=	-_gcc=-Wno-extra
 
+# "missing type for func"
+SMATCH =	off
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/cmd-inet/usr.sbin/in.routed/Makefile	Tue Jan  8 12:31:10 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/in.routed/Makefile	Tue Jan  8 12:31:10 2019
@@ -3,6 +3,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 ROUTEDPROG=	in.routed
 ROUTEDOBJS=	common.o if.o input.o main.o output.o parms.o radix.o \
@@ -39,6 +40,9 @@
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
+# not linted
+SMATCH=off
+
 LDLIBS +=	-lxnet -lmd -lsocket
 CLEAN_FILES +=	$(ROUTEDOBJS) $(RTQUERYOBJS)
 CLOBBERFILES +=	$(ROUTEDPROG) $(RTQUERYPROG)
--- old/usr/src/cmd/cmd-inet/usr.sbin/ipqosconf/Makefile	Tue Jan  8 12:31:11 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/ipqosconf/Makefile	Tue Jan  8 12:31:11 2019
@@ -22,10 +22,8 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
-#
-# cmd/cmd-inet/usr.sbin/ipqosconf/Makefile
-
 PROG=		ipqosconf
 OBJS=		ipqosconf.o
 SRCS=		$(OBJS:%.o=%.c)
@@ -55,6 +53,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 LDLIBS +=	-lsocket -lnsl -lnvpair -lipp
 
 .KEEP_STATE:
--- old/usr/src/cmd/cmd-inet/usr.sbin/ipsecutils/Makefile	Tue Jan  8 12:31:12 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/ipsecutils/Makefile	Tue Jan  8 12:31:12 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		ikeadm ipsecalgs ipsecconf ipseckey ikecert
 SOCKETPROG=	ipsecalgs ipsecconf ipseckey 
@@ -59,6 +60,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-switch
 
+# not linted
+SMATCH=off
+
 CFLAGS += $(XSTRCONST)
 LDLIBS += -lipsecutil -lnsl
 
--- old/usr/src/cmd/cmd-inet/usr.sbin/nwamadm/Makefile	Tue Jan  8 12:31:12 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/nwamadm/Makefile	Tue Jan  8 12:31:12 2019
@@ -23,8 +23,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-# cmd/cmd-inet/usr.sbin/nwamadm/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= nwamadm
 
@@ -36,9 +35,12 @@
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
-all: $(PROG) 
+all: $(PROG)
 
 install: all $(ROOTUSRSBINPROG)
 
--- old/usr/src/cmd/cmd-inet/usr.sbin/nwamcfg/Makefile	Tue Jan  8 12:31:14 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/nwamcfg/Makefile	Tue Jan  8 12:31:14 2019
@@ -24,7 +24,7 @@
 # Use is subject to license terms.
 # Copyright (c) 2016, Chris Fraire <cfraire@me.com>.
 #
-# cmd/cmd-inet/usr.sbin/nwamcfg/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=	nwamcfg
 OBJS=	nwamcfg.o nwamcfg_lex.o nwamcfg_grammar.tab.o
@@ -44,9 +44,11 @@
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 
+SMOFF += all_func_returns
+
 .KEEP_STATE:
 
-all: $(PROG) 
+all: $(PROG)
 
 $(PROG): $(OBJS)
 	$(LINK.c) $(OBJS) -o $@ $(LDLIBS)
--- old/usr/src/cmd/cmd-inet/usr.sbin/snoop/Makefile	Tue Jan  8 12:31:16 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/snoop/Makefile	Tue Jan  8 12:31:16 2019
@@ -22,6 +22,7 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 PROG=	snoop
@@ -60,6 +61,9 @@
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-function
 
+# we really should have smatch running on this code but...
+SMATCH=off
+
 .KEEP_STATE:
 
 .PARALLEL: $(OBJS)
